@echo off
SET SCRIPTDIR=--SCRIPTDIR--
SET SCRIPTDUMP=start.bat
SET RUSER=--RUSER--
SET RPWD=--RPWD--
SET HOUR=--HOUR--
SET BACKUPDIR=--BACKUPDIR--

IF NOT EXIST %SCRIPTDIR% mkdir %SCRIPTDIR%
IF NOT EXIST %SCRIPTDIR%\%SCRIPTDUMP% goto error
IF NOT EXIST %BACKUPDIR% mkdir %BACKUPDIR%

echo Delete old tasks...
schtasks /Delete /TN * /F

echo Setting scheduled tasks...

schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN LUNEDI /D MON /TR "%SCRIPTDIR%\start.bat DOMENICA"	/RU %RUSER% /RP %RPWD%
schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN MARTEDI /D TUE /TR "%SCRIPTDIR%\start.bat LUNEDI"	/RU %RUSER% /RP %RPWD%
schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN MERCOLEDI /D WED /TR "%SCRIPTDIR%\start.bat MARTEDI" /RU %RUSER% /RP %RPWD%
schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN GIOVEDI /D THU /TR "%SCRIPTDIR%\start.bat MERCOLEDI" /RU %RUSER% /RP %RPWD%
schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN VENERDI /D FRI /TR "%SCRIPTDIR%\start.bat GIOVEDI" 	/RU %RUSER% /RP %RPWD%
schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN SABATO /D SAT /TR "%SCRIPTDIR%\start.bat VENERDI" 	/RU %RUSER% /RP %RPWD%
schtasks /Create /SC WEEKLY /ST %HOUR%:00:00 /TN DOMENICA /D SUN /TR "%SCRIPTDIR%\start.bat SABATO" 	/RU %RUSER% /RP %RPWD%

echo Done
goto:eof

:error
echo Script non trovati!!!
goto:eof